* {
    scrollbar-width: thin;
}
/* Контейнер для подменю */
.dropdown-submenu {
    position: relative;
}

/* Подменю открывается влево */
.dropdown-submenu .dropdown-menu {
    top: 0;
    right: 100%;
    left: auto;
    margin-right: .1rem;
    display: none;
}
.dropdown-submenu .dropdown-menu span span {
    display: none;
}
.dropdown-submenu .dropdown-menu span:hover span {
    display: inline;
}
/* Показываем подменю при наведении */
.dropdown-submenu:hover > .dropdown-menu {
    display: block;
}
.container-fluid {
    display: flex;
    flex-direction: column;
    height: 100vh;
    padding: 0;
    margin: 0;
}
.global_main_menu > li {
    cursor: pointer;
}
.global_main_menu > li.active {
    cursor: default;
}
.position_absolute_100 {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow: hidden;
    border-radius: var(--tblr-card-border-radius);
}
.position_absolute_100_auto {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow: auto;
    border-radius: var(--tblr-card-border-radius);
}
.position_absolute_100_padding {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: calc(var(--tblr-gutter-x) * .5);
    right: calc(var(--tblr-gutter-x) * .5);
    overflow: hidden;
}
.global_content_page, .system_padding {
    padding: var(--tblr-page-padding);
}
.title_params {
    color: rgba(255, 255, 255, 0.7);
}
.pointer {
    cursor: pointer;
}
.popover {
    z-index: 999999;
}
.grip {
    background-color: #ccc;
    cursor: col-resize;
    height: 100%;
    width: 5px;
    position: absolute;
    right: 0;
    top: 0;
}

.dragging .grip {
    background-color: #999;
}
.add_new_client_phone_1_dropdown .select2-results__options {
    overflow-x: hidden;
}
.select_background_red {
    background-color: #D63939 !important;
    color: #ffffff !important;
}
.container-tight {
    --tblr-gutter-x: calc(var(--tblr-page-padding) * 2);
    --tblr-gutter-y: 0;
    width: 100%;
    padding-right: calc(var(--tblr-gutter-x) * .5);
    padding-left: calc(var(--tblr-gutter-x) * .5);
    margin-right: auto;
    margin-left: auto;
    max-width: 30rem;
}
/* Основной контейнер на всю высоту и ширину */
html, body {
    height: 100%;
    margin: 0;
    overflow: hidden; /* Убираем прокрутку */
}

/* Главный контейнер занимает всю высоту */
.container-fluid {
    display: flex;
    flex-direction: column;
    height: 100vh; /* Высота на весь экран */
    padding: 0;
    margin: 0;
}

/* Верхний фиксированный заголовок */
.main-header {
    flex-shrink: 0; /* Не сжимается при уменьшении контейнера */
}

/* Контейнер с двумя столбцами */
.content {
    display: flex;
    flex: 1; /* Занимает всю оставшуюся высоту */
    overflow: hidden; /* Убираем прокрутку контента */
}

/* Левый столбец */
.left-column {
    flex: 0 0 30%; /* Ширина левого столбца 30% */
    display: flex;
    flex-direction: column;
    background-color: #f8f9fa;
    border-right: 1px solid #ddd;
}

.main_content_page {
    flex: 1;
    display: flex;
    flex-direction: column;
}

/* Закрепленный заголовок в левом столбце */
.left-column-header {
    flex-shrink: 0;
    background-color: #343a40;
    color: white;
    padding: 10px;
    text-align: center;
}

/* Закрепленный заголовок в правом столбце */
.main_content_page_title {
    flex-shrink: 0;
}

/* Четыре столбца в правом столбце */
.main_content_page_title_content {
    display: flex;
    flex: 1; /* Занимает всю оставшуюся высоту */
    overflow-y: hidden; /* Убираем прокрутку */
}

/* Каждый из четырёх столбцов */
.sub-column {
    flex: 1; /* Все столбцы равной ширины */
    display: flex;
    flex-direction: column;
    border-left: 1px solid #ddd;
    padding: 0;
}

/* Закрепленный заголовок в каждом из четырёх столбцов */
.sub-column-header {
    flex-shrink: 0;
}

/* Прокручиваемый блок в каждом из четырёх столбцов */
.sub-column-scrollable-content {
    flex-grow: 1; /* Занимает всю оставшуюся высоту */
    overflow-y: auto; /* Вертикальная прокрутка */
    padding: 10px;
}
.pointer {
    cursor: pointer;
}
/* Медиазапросы для адаптации на мобильных устройствах */
@media (max-width: 768px) {
    .content {
        flex-direction: column; /* Вертикальное расположение столбцов */
        overflow-y: auto; /* Вертикальная прокрутка для контента */
    }

    .left-column {
        flex: 0 0 auto; /* Высота авто для левого столбца */
        border-right: none; /* Убираем правую границу */
        border-bottom: 1px solid #ddd; /* Граница снизу вместо справа */
    }

    .right-column {
        flex: 0 0 auto; /* Высота авто для правого столбца */
    }

    .main_content_page_title_content {
        flex-direction: column; /* Столбцы размещены вертикально */
        overflow-y: auto; /* Вертикальная прокрутка для суб-столбцов */
    }

    .sub-column {
        flex: 0 0 auto; /* Высота авто для каждого суб-столбца */
        border-left: none; /* Убираем левую границу */
        border-bottom: 1px solid #ddd; /* Граница снизу вместо слева */
    }

    /* Уменьшение шрифта и отступов для мобильных устройств */
    .main-header, .left-column-header, .main_content_page_title, .sub-column-header {
        padding: 10px;
        font-size: 1.2em;
    }

    /* Прокручиваемые блоки с ограничением высоты */
    .sub-column-scrollable-content, .left-scrollable-content {
        padding: 5px; /* Уменьшаем отступы внутри прокручиваемых блоков */
        max-height: 50vh; /* Ограничиваем высоту 50% экрана */
    }
}
.height_100 {
    display: flex;
    flex-direction: column;
}

.height_100 > * {
    flex-grow: 1;
    min-height: 0; /* Важно для корректной работы flex-контейнера */
}
.height_100_content {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    overflow-y: auto;
}
.htext {
    margin: 0 !important;
    -webkit-line-clamp: 1 !important;
    display: -webkit-box !important;
    -webkit-box-orient: vertical !important;
    overflow: hidden !important;
}
.htext2 {
    margin: 0; /* Убираем внешний отступ */
    -webkit-line-clamp: 2; /* Число отображаемых строк */
    display: -webkit-box; /* Включаем флексбоксы */
    -webkit-box-orient: vertical; /* Вертикальная ориентация */
    overflow: hidden;
}
.td_etap {
    padding: 0 !important;
    vertical-align: top;
}
.title_td_etap {
    font-size: 0.875em;
    padding: var(--tblr-badge-padding-y) var(--tblr-badge-padding-x);
    cursor: default;
}
.card-status-left {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 2px;
    border-radius: var(--tblr-card-border-radius) var(--tblr-card-border-radius) 0 0;
}
.bc_background, .bc_background_pokaz {
    /*position: absolute;*/
    background-position: 50% 50%;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}
.bc_background:before {
    position: absolute;
    content: " ";
    top: 0;
    left: 0;
    right: 0;
    height: 50px;
    background: linear-gradient(rgba(0, 0, 0, .5), rgba(0, 0, 0, 0));
    border-radius: var(--tblr-border-radius) !important;
}
.bc_background > div, .bc_background > span {
    position: relative;
}
.select2-dropdown.select2-dropdown--below{
    /*width: 148px !important;*/
}

.select2.select2-container.select2-container--default {
    box-shadow: var(--tblr-shadow-input) !important;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out !important;
    border-radius: var(--tblr-border-radius);
}
.select2-selection__rendered {
    margin-top: 1px;
}

.select2-container--default .select2-selection--single{
    min-height: 40px;
    box-shadow: var(--tblr-shadow-input) !important;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out !important;
    display: block !important;
    width: 100% !important;
    padding: 0.4375rem 0.75rem !important;
    font-family: var(--tblr-font-sans-serif) !important;
    font-size: 0.875rem !important;
    font-weight: 400 !important;
    line-height: 1.4285714286 !important;
    color: var(--tblr-body-color) !important;
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    appearance: none !important;
    background-color: var(--tblr-bg-forms) !important;
    background-clip: padding-box !important;
    border: var(--tblr-border-width) solid var(--tblr-border-color) !important;
    border-radius: var(--tblr-border-radius) !important;
    box-shadow: var(--tblr-box-shadow-input) !important;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out !important;

    height: 36px !important;
    position: relative !important;
}

.select2-container--default.is-invalid .select2-selection--single{
    display: block !important;
    width: 100% !important;
    padding: 0.4375rem 0.75rem !important;
    font-family: var(--tblr-font-sans-serif) !important;
    font-size: 0.875rem !important;
    font-weight: 400 !important;
    line-height: 1.4285714286 !important;
    color: var(--tblr-body-color) !important;
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    appearance: none !important;
    background-color: var(--tblr-bg-forms) !important;
    background-clip: padding-box !important;
    border: 1px solid #D63939 !important;
    border-radius: var(--tblr-border-radius) !important;
    box-shadow: var(--tblr-box-shadow-input) !important;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out !important;

    height: 36px !important;
    position: relative !important;
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    transform: rotate(-180deg);
}
.two_inputs:after {
    position: absolute;
    content: "";
    width: 10px;
    height: 1px;
    background: #8a97ab;
    top: 17px;
    left: 50%;
    margin-left: -5px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%238a97ab' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e") !important;
    background-color: var(--tblr-bg-forms);
    background-image: var(--tblr-form-select-bg-img), var(--tblr-form-select-bg-icon, none);
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    /*
    background-image: -khtml-gradient(linear, left top, left bottom, from(#424242), to(#030303));
    background-image: -moz-linear-gradient(top, #424242, #030303);
    background-image: -ms-linear-gradient(top, #424242, #030303);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #424242), color-stop(100%, #030303));
    background-image: -webkit-linear-gradient(top, #424242, #030303);
    background-image: -o-linear-gradient(top, #424242, #030303);
    background-image: linear-gradient(#424242, #030303);
    */
    width: 40px;
    color: #fff;
    font-size: 1.3em;
    padding: 4px 12px;
    height: 27px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    background-image: unset;
    width: 40px;
    color: #fff;
    font-size: 1.3em;
    padding: 4px 12px;
    height: 27px;
    position: absolute;
    top: 0px;
    bottom: 0px;
    height: unset !important;
    right: 0px;
    width: 20px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border: unset !important;
    background-color: unset !important;
    top: 7px !important;
    left: unset !important;
    right: 0px !important;
}
.form_search_clients .select2-container--default .select2-selection--single .select2-selection__rendered,
.form_search_subdomain .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #e5e7eb !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #333E4B !important;
    line-height: 1.4285714286 !important;
    padding: 1px 0px 0px 0px;
}
.select2-container--open span.select2-selection--single {
    border: 1px solid #83B7E8 !important;

    background-color: var(--tblr-bg-forms) !important;
    border-color: #83b7e8 !important;
    outline: 0 !important;
    box-shadow: var(--tblr-box-shadow-input), 0 0 0 0.25rem rgba(var(--tblr-primary-rgb), 0.25) !important;
}
.steps-vertical .step-item:not(:first-child) {
    margin-top: unset;
}
.steps-vertical .step-item:not(:last-child):after {
    height: calc(100%) !important;
}
.step-item.active {
    /*
    font-size: 0.875em !important;
    font-weight: var(--tblr-font-weight-bold) !important;
    */
}
.steps-vertical .step-item {
    font-size: 0.875em !important;
}
.client_step_etap_badge {
    font-size: 10px;
    position: absolute;
    padding: 1px 2px;
    margin: 2px 0px 0px 5px;
    top: 0px;
    border-radius: 4px;
}
.client_step_etap_badge_dop {
    font-size: 10px;
    padding: 1px 2px;
    margin-top: 3px !important;
    position: absolute;
    border-radius: 4px;
    vertical-align: unset !important;
}
.nav-link.pointer:not(.text-lime):hover div {
    color: #4299E1 !important;
    -webkit-transition: all 0.2s ease-out;
}
.nav-link.pointer:not(.text-lime):hover small.badge {
    background-color: #4299E1 !important;
    color: #ffffff;
    -webkit-transition: all 0.2s ease-out;
}
.nav-link, .badge {
    -webkit-transition: all 0.2s ease-out;
}
.form_search_clients .select2-container--default .select2-selection--single .select2-selection__placeholder,
.form_search_subdomain .select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: #e5e7eb !important;
}
.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: #212D3B !important;
}
.sub_menu_from_thead {
    text-transform: none !important;
}

#global_chart_my_clients > div > svg {
    height: 300px !important;
}
#global_chart_my_clients > div > svg > foreignObject {
    height: 300px !important;
}
tbody.clients .step-item {
    cursor: pointer !important;
}
.global_padding_main_content {
    padding-bottom: calc(var(--tblr-gutter-x) * 0.5);
    padding-top: calc(var(--tblr-gutter-x) * 0.5);
}
.border-bottom {
    border-width: 0px 0px 1px 0px;
    border-color: var(--tblr-border-color-translucent);
}

.border-bottom-danger {
    border-width: 0px 0px 2px 0px;
    border-color: var(--tblr-danger);
}

.datepicker {
    z-index: 999999 !important;
}

.list_title_h3 {
    padding: var(--tblr-list-group-item-padding-y) var(--tblr-list-group-item-padding-x);
}
.select2_selection_select_active {
    border-color: #2FB344 !important;
}
.empty_data {
    border: 1px solid #D63939 !important;
    border-color: #D63939 !important;
    border-style: solid !important;
    border-width: 1px !important;
}
.select2-container--default .select2-selection--single.has-error {
    /*border: 1px solid #a94442;
    border-radius: 4px;*/
    border-color:#D63939 !important;
    /*background-color: #fff9fa !important;*/
}
.select2-container--default .select2-selection--single.has-error .select2-selection__rendered {
    /*color: #D63939 !important;*/
}

.select2-container--default .select2-selection--single.has-error .select2-selection__placeholder {
    /*color: #D63939 !important;*/
}
.hover_red:hover {
    color: rgba(var(--tblr-pink-rgb), var(--tblr-text-opacity)) !important;
}


tbody.clients tr.tr_new_client td {
    --tblr-table-bg-type: #DCF0FF;
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}
.ms_choice_dop {
    height: 40px;
    border: 1px solid #dce1e7;
}

.icon-caret {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%238C99AC' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-size: 16px 12px !important;
    background-repeat: no-repeat !important;
    width: 16px !important;
    height: 12px !important;
    border: none !important;
    right: 15px !important;
    margin-top: -5px !important;
}
.ms-parent-open .icon-caret {
    transform: rotate(180deg);
}
.ms-choice>span {
    top: 6px !important;
    left: 5px;
}
.ms-drop.bottom ul li {
    line-height: 30px;
    height: 30px;
}
.no_multiple .ms-drop.bottom ul li span {
    position: absolute;
    left: 10px;
    top: 2px;
    right: 5px;
}
.multiple .ms-drop.bottom ul li span {
    position: absolute;
    left: 27px;
    top: 2px;
    right: 5px;
}
.ms-drop {
    border: 1px solid #DCE1E7 !important;
    margin-top: 1px !important;
}
.ms-drop ul>li {
    margin: .25rem 8px !important;
    padding: unset !important;
}
.ms-choice>span.ms-placeholder {
    color: #182433;
}
.select2-results__option--selectable {
    cursor: pointer;
    font-size: 12px;
    border-width: 0px 0px 1px 0px;
    border-style: solid;
    border-color: #e5e8ec;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: rgba(var(--tblr-yellow-rgb), 0.30) !important;
    --tblr-table-bg-type: rgba(var(--tblr-yellow-rgb), 0.30) !important;
    -webkit-transition: all 0.1s ease-out !important;
    -moz-transition: all 0.1s ease-out !important;
    -o-transition: all 0.1s ease-out !important;
    transition: all 0.1s ease-out !important;
    color: #182433 !important;
}
.p_absolute_scroll_y {
    position: absolute;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    padding: var(--tblr-card-spacer-y) var(--tblr-card-spacer-x);
    overflow-y: scroll;
}
.p_absolute_scroll_y_p0 {
    position: absolute;
    top: 0px;
    bottom: 0px;
    right: 0px;
    left: calc(var(--tblr-gutter-x) * 0.5);
    overflow-y: scroll;
    overflow-x: hidden;
}
.modal:nth-of-type(even) {
    z-index: 1052 !important;
}
.modal-backdrop.show:nth-of-type(even) {
    z-index: 1051 !important;
}
.font-default {
    font-family: var(--tblr-body-font-family) !important;
}
.custom_position_bottom {
    bottom: var(--tblr-page-padding) !important;
    left: var(--tblr-page-padding) !important;
    right: var(--tblr-page-padding) !important;
    position: absolute;
}
.tmp_hide_content_opacity {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 5px;
    right: 5px;
    background-color: #ffffff;
    opacity: 0.85;
}
.tmp_hide_content_opacity_0 {
    position: absolute;
    top: 5px;
    bottom: 5px;
    left: 5px;
    right: 5px;
}
#modal_client_process_add, #modal_client_process_add_clients_process_action, #modal_client_process_edit {
    background-color: rgb(0 0 0 / 17%);
}

.ellipsis_1 {
    overflow: hidden;
    white-space: nowrap;
    /*display: -webkit-box !important;*/
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    /*width: 250px;*/
}

.ellipsis {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    width: 250px;
}
.table_search_clients_result {
    table-layout: fixed;
}
.table_search_clients_result td {
    overflow: hidden;
    text-overflow: ellipsis;
}


/*!
 * Tabler Vendors v1.4.0 (https://tabler.io)
 * Copyright 2018-2025 The Tabler Authors
 * Copyright 2018-2025 codecalm.net Paweł Kuna
 * Licensed under MIT (https://github.com/tabler/tabler/blob/master/LICENSE)
 */
/**
 * Converts a given value to a percentage string.
 *
 * @param {Number} $value - The value to be converted to a percentage.
 * @return {String} - The percentage representation of the value.
 */
/**
 * Generates a transparent version of the given color.
 *
 * @param {Color} $color - The base color to be made transparent.
 * @param {Number} $alpha - The level of transparency, ranging from 0 (fully transparent) to 1 (fully opaque). Default is 1.
 * @return {Color} - The resulting color with the specified transparency.
 */
.noUi-target {
  border: 0;
  box-shadow: none;
  background: none;
  border-radius: 0;
  color: var(--tblr-primary);
}

.noUi-horizontal {
  height: 1.25rem;
  padding: 0.5rem 0;
}

.noUi-base {
  background: var(--tblr-border-color);
  border-radius: 1rem;
}

.noUi-handle {
  width: 1rem;
  height: 1rem;
  border: 2px var(--tblr-border-style) #ffffff;
  box-shadow: 0 0.1rem 0.25rem rgba(0, 0, 0, 0.1);
  border-radius: 1rem;
  background: currentColor;
  outline: 0;
}
.noUi-handle:before, .noUi-handle:after {
  content: none;
}
.noUi-horizontal .noUi-handle {
  width: 1rem;
  height: 1rem;
  top: -0.5rem;
  right: -0.5rem;
  margin: 1px 1px 0 0;
}
.noUi-handle.noUi-active, .noUi-handle:focus {
  box-shadow: 0 0 0 1px #f9fafb, 0 0 0 0.25rem rgba(var(--tblr-primary-rgb), 0.25);
}

.noUi-connect {
  background: currentColor;
}

.litepicker {
  --litepicker-month-weekday-color: var(--tblr-secondary);
  --litepicker-button-prev-month-color: var(--tblr-secondary);
  --litepicker-button-next-month-color: var(--tblr-secondary);
  --litepicker-button-prev-month-color-hover: var(--tblr-primary);
  --litepicker-button-next-month-color-hover: var(--tblr-primary);
  --litepicker-day-color: var(--tblr-body-color);
  --litepicker-day-color-hover: var(--tblr-primary);
  --litepicker-is-start-color-bg: var(--tblr-primary);
  --litepicker-is-end-color-bg: var(--tblr-primary);
  --litepicker-is-in-range-color: var(--tblr-info);
  --litepicker-is-today-color: var(--tblr-primary);
  --litepicker-month-header-color: var(--tblr-body-color);
  --litepicker-container-months-color-bg: var(--tblr-bg-surface);
  font: inherit;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.litepicker .day-item.is-in-range {
  --litepicker-day-color: var(--tblr-light);
}
.litepicker svg {
  fill: none !important;
}
.litepicker .container__main {
  border: var(--tblr-border-width) var(--tblr-border-style) var(--tblr-border-color);
  border-radius: var(--tblr-border-radius);
  box-shadow: none;
}
.litepicker .container__months .month-item-name,
.litepicker .container__months .month-item-year {
  font-weight: var(--tblr-font-weight-medium) !important;
}
.litepicker .container__months .button-next-month,
.litepicker .container__months .button-previous-month {
  cursor: pointer !important;
}
.litepicker .container__months .month-item-weekdays-row > div {
  padding: 0.5rem 0 !important;
  font-size: 0.75rem;
}
.litepicker .container__days .day-item {
  cursor: pointer !important;
  padding: 0.5rem 0 !important;
  transition: color 0.3s, background-color 0.3s, border-color 0.3s;
}
@media (prefers-reduced-motion: reduce) {
  .litepicker .container__days .day-item {
    transition: none;
  }
}
.datepicker-inline .litepicker {
  box-shadow: var(--tblr-shadow-input);
}
.datepicker-inline .litepicker .container__months {
  box-shadow: none;
  background-color: var(--tblr-bg-forms);
  border-radius: calc(var(--tblr-border-radius) - 1px);
}

:root {
  --ts-pr-clear-button: 0rem;
  --ts-pr-caret: 0rem;
}

.ts-input {
  color: inherit;
}

.focus .ts-control {
  border-radius: var(--tblr-border-radius);
}

.ts-control {
  color: inherit;
}
.ts-control .dropdown-menu {
  width: 100%;
  height: auto;
}

.ts-wrapper .form-control,
.ts-wrapper .form-select, .ts-wrapper.form-control, .ts-wrapper.form-select {
  box-shadow: var(--tblr-shadow-input);
}
.ts-wrapper.is-invalid .ts-control, .ts-wrapper.is-valid .ts-control {
  --ts-pr-clear-button: 1.5rem;
}

.ts-dropdown {
  background: var(--tblr-bg-surface);
  color: var(--tblr-body-color);
  box-shadow: var(--tblr-shadow-dropdown);
  z-index: 1000;
}
.ts-dropdown .option {
  padding: 0.5rem 0.75rem;
}

.ts-control,
.ts-control input {
  color: var(--tblr-body-color);
}

.ts-control input::-moz-placeholder {
  color: var(--tblr-tertiary);
}

.ts-control input::placeholder {
  color: var(--tblr-tertiary);
}

.ts-wrapper.multi .ts-control > div,
.ts-wrapper.multi.disabled .ts-control > div {
  background: var(--tblr-bg-surface-secondary);
  border: 1px solid var(--tblr-border-color);
  color: var(--tblr-body-color);
}

.ts-wrapper.disabled .ts-control {
  opacity: 1;
}
.ts-wrapper.disabled .ts-control > div.item {
  color: var(--tblr-gray-500);
}

.apexcharts-tooltip {
  color: var(--tblr-text-inverted) !important;
  background: var(--tblr-bg-surface-inverted) !important;
  font-size: 0.765625rem !important;
  padding: 0.25rem !important;
  box-shadow: none !important;
}

.apexcharts-tooltip-title {
  background: transparent !important;
  border: 0 !important;
  margin: 0 !important;
  font-weight: var(--tblr-font-weight-bold);
  padding: 0.25rem 0.5rem !important;
}

.apexcharts-tooltip-y-group {
  padding: 2px 0 !important;
}

.apexcharts-tooltip-series-group {
  padding: 0 0.5rem 0 !important;
}

.apexcharts-tooltip-marker:before {
  font-size: 16px !important;
}

.apexcharts-text {
  fill: var(--tblr-body-color) !important;
}

.apexcharts-gridline {
  stroke: var(--tblr-border-color) !important;
}

.apexcharts-legend-text {
  color: inherit !important;
}

.apexcharts-radialbar-track .apexcharts-radialbar-area {
  stroke: var(--tblr-border-color) !important;
}

.apexcharts-svg,
.apexcharts-canvas {
  border-radius: inherit;
}

.apexcharts-pie-area {
  stroke: var(--tblr-bg-surface) !important;
}

.jvm-tooltip {
  background: var(--tblr-bg-surface-inverted);
  color: var(--tblr-text-inverted);
  font-family: inherit;
  font-size: 0.75rem;
  box-shadow: var(--tblr-shadow-card);
}

.jvm-series-container .jvm-legend .jvm-legend-title {
  border-bottom: 0;
  font-weight: var(--tblr-font-weight-medium);
}

.jvm-series-container .jvm-legend {
  background-color: var(--tblr-card-bg, var(--tblr-bg-surface));
  border: var(--tblr-border-width) var(--tblr-border-style) var(--tblr-border-color);
  min-width: 8rem;
}
.jvm-series-container .jvm-legend .jvm-legend-inner .jvm-legend-tick {
  display: flex;
  align-items: center;
}
.jvm-series-container .jvm-legend .jvm-legend-inner .jvm-legend-tick .jvm-legend-tick-sample {
  width: 0.75rem;
  height: 0.75rem;
}

.jvm-zoom-btn {
  border: var(--tblr-border-width) var(--tblr-border-style) var(--tblr-border-color);
  background: var(--tblr-card-bg, var(--tblr-bg-surface));
  color: var(--tblr-body-color);
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1;
  width: 1.5rem;
  height: 1.5rem;
  font-size: 1rem;
  box-shadow: var(--tblr-shadow-card);
}
.jvm-zoom-btn.jvm-zoomout {
  top: 2.5rem;
}

.dropzone {
  border: var(--tblr-border-width) dashed var(--tblr-border-color) !important;
  color: var(--tblr-secondary) !important;
  padding: 1rem !important;
}
.dropzone.dz-drag-hover {
  border: var(--tblr-border-width) dashed var(--tblr-primary);
  background: rgba(var(--tblr-primary-rgb), 0.01);
  color: var(--tblr-primary);
}
.dropzone.dz-drag-hover .dz-message {
  opacity: 1;
}
.dropzone .dz-preview {
  margin: 0.5rem;
}
.dropzone .dz-preview .dz-image {
  border-radius: var(--tblr-border-radius);
}
.dropzone .dz-preview .dz-success-mark {
  height: 54px;
}

.fslightbox-container {
  font-family: inherit !important;
  background: var(--tblr-backdrop-bg) !important;
  -webkit-backdrop-filter: blur(4px) !important;
  backdrop-filter: blur(4px) !important;
}

.fslightbox-slide-number-container {
  color: inherit !important;
}

.fslightbox-slash {
  background: currentColor !important;
}

body {
  --plyr-color-main: var(--tblr-primary);
}

.tox-hugerte {
  border: var(--tblr-border-width) var(--tblr-border-style) var(--tblr-border-color) !important;
  border-radius: 6px !important;
  font-family: var(--tblr-font-sans-serif) !important;
}

.tox-toolbar__group {
  padding: 0 0.5rem 0;
}

.tox .tox-toolbar__primary {
  background: transparent !important;
}

.tox:not(.tox-hugerte-inline) .tox-editor-header {
  border-bottom: var(--tblr-border-width) var(--tblr-border-style) var(--tblr-border-color) !important;
  box-shadow: none !important;
  padding: 0 !important;
}

.tox-tbtn {
  margin: 0 !important;
  background: var(--tblr-bg-surface) !important;
}
.tox-tbtn:hover, .tox-tbtn.tox-tbtn--enabled {
  background: var(--tblr-bg-surface-secondary) !important;
}

.tox-edit-area::before {
  border: none !important;
}

.tox-statusbar {
  border-top: var(--tblr-border-width) var(--tblr-border-style) var(--tblr-border-color) !important;
}

.tox .tox-toolbar-overlord,
.tox:not(.tox-hugerte-inline) .tox-editor-header {
  background: transparent !important;
}

:root {
  --gl-star-size: auto;
  --gl-star-color: var(--tblr-yellow);
  --gl-star-color-inactive: var(--tblr-border-color);
}

[data-star-rating] svg {
  width: var(--tblr-icon-size, --gl-star-size);
  height: var(--tblr-icon-size, --gl-star-size);
}
[data-star-rating] :not(.gl-active) > .gl-star-full {
  color: var(--gl-star-color-inactive) !important;
}
[data-star-rating] .gl-active > .gl-star-full {
  color: var(--gl-star-color);
  fill: currentColor;
  stroke: currentColor;
}

.clr-picker {
  box-shadow: var(--tblr-shadow-dropdown);
  background-color: var(--tblr-bg-surface);
  border-radius: var(--tblr-border-radius);
}

.clr-gradient {
  border-radius: var(--tblr-border-radius) var(--tblr-border-radius) 0 0;
}

input.clr-color {
  border-radius: var(--tblr-border-radius);
  color: var(--tblr-body-color);
  border-color: var(--tblr-border-color);
  background: transparent;
}
input.clr-color:focus {
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(var(--tblr-primary-rgb), 0.25);
  border-color: rgba(var(--tblr-primary-rgb), 0.25);
}

.clr-swatches button {
  border-radius: var(--tblr-border-radius);
  padding: 0 2px 4px 2px;
}
.clr-swatches button:focus {
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(var(--tblr-primary-rgb), 0.25);
}

.clr-preview {
  border-radius: var(--tblr-border-radius);
  overflow: visible;
}
.clr-preview button, .clr-preview:before, .clr-preview:after {
  border-radius: var(--tblr-border-radius);
}
.clr-preview button:focus {
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(var(--tblr-primary-rgb), 0.25);
}

.clr-field {
  display: block;
}
.clr-field button {
  width: 1.5rem;
  height: 1.5rem;
  left: 6px;
  right: auto;
  border-radius: var(--tblr-border-radius);
}
.clr-field button:after {
  box-shadow: inset 0 0 0 1px var(--tblr-border-color-translucent);
}
.clr-field button:focus {
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(var(--tblr-primary-rgb), 0.25);
}
.clr-field input {
  padding-left: 2.5rem;
}

.typed-cursor {
  font-weight: 500;
  color: #6b7280;
}

.turbo-progress-bar {
  background: var(--tblr-primary);
}

:root {
  --fc-border-color: var(--tblr-border-color);
  --fc-daygrid-event-dot-width: 5px;
  --fc-event-bg-color: var(--tblr-primary-lt);
  --fc-event-border-color: var(--tblr-primary-200);
  --fc-event-text-color: var(--tblr-body-color);
}

.fc-toolbar-title {
  font-size: var(--tblr-font-size-h3) !important;
  font-weight: var(--tblr-font-weight-medium);
}

.fc-daygrid-dot-event {
  background-color: var(--fc-event-bg-color);
  border: 1px solid var(--fc-event-border-color);
  color: var(--fc-event-text-color);
  padding-top: 1px;
  padding-bottom: 1px;
}
.fc-daygrid-dot-event .fc-event-title {
  font-weight: inherit;
}

.fc-col-header-cell {
  background-color: var(--tblr-bg-surface-secondary);
  color: var(--tblr-secondary);
  text-transform: uppercase;
  font-weight: var(--tblr-font-weight-medium);
  font-size: var(--tblr-font-size-h5);
  padding-top: 0.5rem !important;
  padding-bottom: 0.5rem !important;
  line-height: 1;
}

.fc-event-time {
  font-weight: var(--tblr-font-weight-bold) !important;
}

.fc-col-header-cell-cushion {
  color: inherit;
}

.fc-daygrid-day-number {
  color: var(--tblr-secondary);
}

.fc-button {
  color: var(--tblr-body-color) !important;
  background-color: transparent !important;
  border-color: var(--tblr-border-color) !important;
  font-weight: var(--tblr-font-weight-medium) !important;
}
.nav-segmented-vertical .nav-link.text-center {
    justify-content: center;
}
.title-border-top-color {
    border-width: 1px 0px 0px 0px;
    border-style: solid;
    border-color: #e5e8ec;
}
.bc_class {
    width: 20px;
    height: 20px;
    max-width: 20px;
    min-width: 20px;
    font-size: 12px;
    color: #ffffff;
}
@media (min-width: 1920px) {
    .badge_marketing {
        margin-left: 0.25rem !important; /* !important нужно, чтобы перебить стандартный ms-0, если он есть */
    }
	.marketing_item h4 {
	    font-size: var(--tblr-font-size-h4);
	    line-height: var(--tblr-line-height-h4);
	}
	.marketing_bc_search_result small {
		font-size: .875em;
	}

}

/* Убедимся, что на 1680px отступа нет */
@media (max-width: 1919px) {
    .badge_marketing {
        margin-left: 0 !important;
    }
	.marketing_item h4 {
	    font-size: var(--tblr-font-size-h5);
	    line-height: var(--tblr-line-height-h5);
	}
	.marketing_bc_search_result small {
	    font-size: var(--tblr-font-size-h6);
	    line-height: var(--tblr-line-height-h6);
	}
}
.table-striped .marketing_bc:not(.active):nth-child(odd) {
    background-color: #F9FAFB;
}
.no-resize {
    resize: none !important;
}
.dropdown-toggle:after {
    content: "";
    display: inline-block;
    vertical-align: .306em;
    width: .36em;
    height: .36em;
    border-bottom: 1px var(--tblr-border-style);
    border-left: 1px var(--tblr-border-style);
    margin-right: .1em;
    margin-left: .4em;
    transform: rotate(-45deg);
    margin-top: -1px;
    margin-left: 15px;
}